AUPARSE_METRICS(3)

NAME
auparse_metrics - get some metrics about auparse

SYNOPSIS
#include <auparse.h>

char * auparse_metrics(const auparse_state_t *au);"

DESCRIPTION
auparse_metrics gets some basic information about auparse's internal state. It returns a character string ready to print. It returns the current limit for storing building events, the maximum events building or ready, and the number of ready events for processing. This information is only useful when the feed api is being used.

RETURN VALUE
Returns a memory buffer of current metrics on success and NULL on error. The caller must free the string.

SEE ALSO
auparse_feed(3)

AUTHOR
Steve Grubb